package model

import (
	"time"
)

type SysPushTemplate struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsAppPush int       `json:"is_app_push" xorm:"not null default 1 comment('是否app推送') TINYINT(1)"`
	IsSmsPush int       `json:"is_sms_push" xorm:"not null default 0 comment('是否短信推送') TINYINT(1)"`
	Type      string    `json:"type" xorm:"not null default '' comment('模板类型') VARCHAR(50)"`
	Title     string    `json:"title" xorm:"not null default '' comment('标题') VARCHAR(128)"`
	Content   string    `json:"content" xorm:"not null comment('内容') TEXT"`
	Skip      string    `json:"skip" xorm:"not null default '' comment('跳转功能') VARCHAR(255)"`
	CreateAt  time.Time `json:"create_at" xorm:"default CURRENT_TIMESTAMP TIMESTAMP"`
	UpdateAt  time.Time `json:"update_at" xorm:"default CURRENT_TIMESTAMP TIMESTAMP"`
}
